## pbcopper 0.0.1%2B20161202

=== CMakeLists.txt ===
########################################################################
# CMake build script for PacBio pbcopper library.
########################################################################
cmake_policy(SET CMP0048 NEW)  # lets us set version in project()
cmake_minimum_required(VERSION 3.0)

project(pbcopper VERSION 0.0.1 LANGUAGES CXX C)
enable_testing()

# project options
option(pbcopper_build_shared    "Build pbcopper as a shared library."         OFF)
option(pbcopper_use_ccache      "Build pbcopper using ccache, if available."  ON)
option(pbcopper_build_tests     "Build pbcopper tests."                       ON)
option(pbcopper_build_docs      "Build pbcopper docs."                        ON)
option(pbcopper_build_examples  "Build pbcopper examples."                    ON)

# project paths
set(pbcopper_RootDir       ${CMAKE_CURRENT_LIST_DIR})
set(pbcopper_DocsDir       ${pbcopper_RootDir}/docs)
set(pbcopper_IncludeDir    ${pbcopper_RootDir}/include)
set(pbcopper_SourceDir     ${pbcopper_RootDir}/src)
set(pbcopper_TestsDir      ${pbcopper_RootDir}/tests)
set(pbcopper_ThirdPartyDir ${pbcopper_RootDir}/third-party)

if(NOT pbcopper_OutputDir)
    set(pbcopper_OutputDir ${CMAKE_CURRENT_BINARY_DIR})
endif()

set(pbcopper_LibDir  ${pbcopper_OutputDir}/lib)
file(MAKE_DIRECTORY  ${pbcopper_LibDir})

# project configuration
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_LIST_DIR}/cmake ${CMAKE_MODULE_PATH})
include(pbcopper-compilerflags)
include(pbcopper-ccache)
include(pbcopper-dependencies)
include(pbcopper-libtype)

# config generation
include(pbcopper-gitsha1)
find_git_sha1(COPPER_GIT_SHA1)
configure_file(
    ${pbcopper_IncludeDir}/pbcopper/utility/Version.h.in
    ${CMAKE_BINARY_DIR}/generated/pbcopper/utility/Version.h
)

# main library
add_subdirectory(src)

# project extras - only build on demand
#
if (pbcopper_build_docs)
    add_subdirectory(docs)      # build with 'make doc' or 'make docs'
endif()

if (pbcopper_build_examples)
    add_subdirectory(examples)  # build with 'make examples'
endif()

if (pbcopper_build_tests)
    add_subdirectory(tests)
endif()

=== tests/CMakeLists.txt ===

# GTest dependency
find_package(Threads REQUIRED)

# add pbcopper, pbcopper test, & GoogleTest include dirs
include_directories(
    ${pbcopper_INCLUDE_DIRS}
    ${pbcopper_TestsDir}/include
    ${pbcopper_ThirdPartyDir}/googletest
)

# grab unit test source files
include(files.cmake)
set(SOURCES
    ${pbcopperTest_H}
    ${pbcopperTest_CPP}
)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${pbcopper_CXX_FLAGS}")

# define unit test exe
add_definitions(-DPBCOPPER_TESTING)
add_executable(test_pbcopper EXCLUDE_FROM_ALL ${SOURCES})
set_target_properties(test_pbcopper
    PROPERTIES
    RUNTIME_OUTPUT_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/bin
)
target_link_libraries(test_pbcopper
    ${pbcopper_LIBRARIES}
    ${CMAKE_THREAD_LIBS_INIT}
)

# add unit tests exe to CTest framework
add_test(
    NAME PbcopperUnitTests
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/bin
    COMMAND test_pbcopper
)

# add 'make check' for easy 'build & run tests'
set(verbose_ctest_command ctest -VV)
add_custom_target(check COMMAND ${verbose_ctest_command})
add_dependencies(check
    # list all explicitly to get re-compile on any changes to lib or tests
    test_pbcopper
    pbcopper
)

# add 'make check-quiet' for 'make check' w/ simple pass/fail summary
add_custom_target(check-quiet COMMAND ${CMAKE_CTEST_COMMAND})
add_dependencies(check-quiet
    # list all explicitly to get re-compile on any changes to lib or tests
    test_pbcopper
    pbcopper
)

# add 'make check-xunit' for 'make check' w/ XUnit output (on Bamboo)
add_custom_target(check-xunit
    COMMAND test_pbcopper --gtest_output=xml:${CMAKE_BINARY_DIR}/pbcopper-unit.xml
)
add_dependencies(check-xunit
    # list all explicitly to get re-compile on any changes to lib or tests
    test_pbcopper
    pbcopper
)

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

# needed to build consensuscore2
export DEB_CXXFLAGS_MAINT_APPEND=-fPIC

# The package FTBFS if we don't call the build directory "build"
%:
	dh $@ --builddirectory=build

# debhelper's cmake action is to run `make test`, which won't work
override_dh_auto_test:
	cd build && $(MAKE) check

## pbcopper 0.0.1+20161202

=== docs/CMakeLists.txt ===

find_package(Doxygen)

if (${DOXYGEN_FOUND})

    # add 'make doc' command to generate API docs
    add_custom_target(docs
        "echo" "Documentation not available yet. Coming soon"
        COMMENT "Generating API documentation via Doxygen"
    )

    # create 'make doc' synonym for 'make docs'
    add_custom_target(doc DEPENDS docs)

else()
    message("Doxygen not found. 'make doc' will not be available. Install "
            "Doxygen and re-run cmake if you would like to be able to build "
            "API documentation locally.")
endif()

=== examples/CMakeLists.txt ===

# use this destination directory for any example exe's generated
set(examples_BinDir ${CMAKE_CURRENT_BINARY_DIR}/bin)
add_custom_target(examples)

# example exes
add_subdirectory(cli_demo)

=== src/CMakeLists.txt ===

# define pbcopper library dependencies
set(pbcopper_DependencyIncludes
    ${Boost_INCLUDE_DIRS}
)
set(pbcopper_DependencyLibraries
    ${CMAKE_THREAD_LIBS_INIT}
)

# set up library include dirs
include_directories(SYSTEM ${pbcopper_DependencyIncludes})
include_directories(${pbcopper_IncludeDir})

# grab library source files
include(files.cmake)
set(SOURCES
    ${pbcopper_H}
    ${pbcopper_CPP}
)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${pbcopper_CXX_FLAGS}")

# define pbcopper library
add_definitions(-DPBCOPPER_LIBRARY)
add_library(pbcopper ${SOURCES})
set_target_properties(pbcopper
    PROPERTIES
    ARCHIVE_OUTPUT_DIRECTORY ${pbcopper_LibDir}
    RUNTIME_OUTPUT_DIRECTORY ${pbcopper_LibDir}
    LIBRARY_OUTPUT_DIRECTORY ${pbcopper_LibDir}
)

# link dependency libs
target_link_libraries(pbcopper ${pbcopper_DependencyLibraries})
target_include_directories(pbcopper
    PUBLIC
    ${pbcopper_IncludeDir}
    ${pbcopper_DependencyIncludes}
    ${CMAKE_BINARY_DIR}/generated
)

# export variables for projects that use pbcopper
set(pbcopper_INCLUDE_DIRS
    ${pbcopper_IncludeDir} ${pbcopper_DependencyIncludes} ${CMAKE_BINARY_DIR}/generated
    CACHE INTERNAL
    "${PROJECT_NAME}: Include Directories"
    FORCE
)

set(pbcopper_LIBRARIES
    pbcopper ${pbcopper_DependencyLibraries}
    CACHE INTERNAL
    "${PROJECT_NAME}: Libraries"
    FORCE
)

=== debian/changelog ===
pbcopper (0.0.1+20161202-2) unstable; urgency=medium

  * build with -fPIC

 -- Afif Elghraoui <afif@debian.org>  Thu, 22 Dec 2016 00:47:01 -0800

pbcopper (0.0.1+20161202-1) unstable; urgency=medium

  * Initial release (Closes: #848122)

 -- Afif Elghraoui <afif@debian.org>  Sat, 17 Dec 2016 01:18:00 -0800

=== debian/control ===
Source: pbcopper
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Afif Elghraoui <afif@debian.org>
Build-Depends:
	debhelper (>=10),
	dh-exec,
	cmake,
	libboost-dev,
Standards-Version: 3.9.8
Section: libs
Homepage: https://github.com/PacificBiosciences/pbcopper
Vcs-Git: https://anonscm.debian.org/git/debian-med/pbcopper.git
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/pbcopper.git

Package: libpbcopper-dev
Section: libdevel
Architecture: any
Depends:
	${misc:Depends},
	${shlibs:Depends},
Description: data structures, algorithms, and utilities for C++ applications -- header files
 pbcopper provides general tools for C++ applications. It is developed
 for use by applications of the Pacific Biosciences SMRT Analysis
 suite.
 .
 This package contains the header files and static library

=== debian/watch ===
version=4

# Upsteam does not tag releases.
# Check the git annotations for the upstream changelog file to find the snapshot corresponding to a version number.

## pbcopper 0.4.1%2Bdfsg

=== examples/cli_demo/CMakeLists.txt ===

# includes/compile flags
include_directories(${pbcopper_INCLUDE_DIRS})
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${pbcopper_CXX_FLAGS}")

# main exe
add_executable(cli_demo EXCLUDE_FROM_ALL
    main.cpp)
set_target_properties(cli_demo
    PROPERTIES
    RUNTIME_OUTPUT_DIRECTORY ${examples_BinDir}
)

# libs/dependencies
add_dependencies(cli_demo pbcopper)
target_link_libraries(cli_demo ${pbcopper_LIBRARIES})

# add to 'make examples'
add_dependencies(examples cli_demo)

## pbcopper 0.4.1+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,9 +2,9 @@
 # CMake build script for PacBio pbcopper library.
 ########################################################################
 cmake_policy(SET CMP0048 NEW)  # lets us set version in project()
-cmake_minimum_required(VERSION 3.0)
+cmake_minimum_required(VERSION 3.2)
 
-project(pbcopper VERSION 0.0.1 LANGUAGES CXX C)
+project(pbcopper VERSION 0.4.0 LANGUAGES CXX C)
 enable_testing()
 
 # project options
@@ -40,8 +40,12 @@
 include(pbcopper-gitsha1)
 find_git_sha1(COPPER_GIT_SHA1)
 configure_file(
-    ${pbcopper_IncludeDir}/pbcopper/utility/Version.h.in
-    ${CMAKE_BINARY_DIR}/generated/pbcopper/utility/Version.h
+    ${pbcopper_SourceDir}/utility/PbcopperGitHash.cpp.in
+    ${CMAKE_BINARY_DIR}/generated/utility/PbcopperGitHash.cpp
+)
+configure_file(
+    ${pbcopper_SourceDir}/utility/PbcopperVersion.cpp.in
+    ${CMAKE_BINARY_DIR}/generated/utility/PbcopperVersion.cpp
 )
 
 # main library

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -20,7 +20,6 @@
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${pbcopper_CXX_FLAGS}")
 
 # define pbcopper library
-add_definitions(-DPBCOPPER_LIBRARY)
 add_library(pbcopper ${SOURCES})
 set_target_properties(pbcopper
     PROPERTIES
@@ -35,7 +34,6 @@
     PUBLIC
     ${pbcopper_IncludeDir}
     ${pbcopper_DependencyIncludes}
-    ${CMAKE_BINARY_DIR}/generated
 )
 
 # export variables for projects that use pbcopper

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -18,7 +18,6 @@
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${pbcopper_CXX_FLAGS}")
 
 # define unit test exe
-add_definitions(-DPBCOPPER_TESTING)
 add_executable(test_pbcopper EXCLUDE_FROM_ALL ${SOURCES})
 set_target_properties(test_pbcopper
     PROPERTIES

=== debian/changelog ===
pbcopper (0.4.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Unanimity is now in unstable
    Closes: #852654
  * Standards-Version: 4.2.1
  * Remove trailing whitespace in debian/copyright

 -- Andreas Tille <tille@debian.org>  Sat, 22 Dec 2018 07:26:24 +0100

pbcopper (0.4.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * d/watch: Upstream is now using release tags
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.0
  * Respect DEB_BUILD_OPTIONS in dh_auto_test

 -- Andreas Tille <tille@debian.org>  Fri, 17 Aug 2018 15:22:14 +0200

=== debian/control ===
Source: pbcopper
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Afif Elghraoui <afif@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-exec,
               cmake,
               libboost-dev
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/med-team/pbcopper
Vcs-Git: https://salsa.debian.org/med-team/pbcopper.git
Homepage: https://github.com/PacificBiosciences/pbcopper

Package: libpbcopper-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: data structures, algorithms, and utilities for C++ applications -- header files
 pbcopper provides general tools for C++ applications. It is developed
 for use by applications of the Pacific Biosciences SMRT Analysis
 suite.
 .
 This package contains the header files and static library

=== debian/rules ===
--- 
+++ 
@@ -11,4 +11,6 @@
 
 # debhelper's cmake action is to run `make test`, which won't work
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	cd build && $(MAKE) check
+endif

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
  https://github.com/PacificBiosciences/pbcopper/releases .*/archive/@ANY_VERSION@@ARCHIVE_EXT@

## pbcopper 1.3.0+dfsg

=== meson_options.txt ===
option('build-examples', type : 'boolean', value : true,  description : 'Build pbcopper examples')
option('build-docs',     type : 'boolean', value : false, description : 'Build pbcopper docs')
option('tests',          type : 'boolean', value : true,  description : 'Enable dependencies required for testing')

=== debian/changelog ===
pbcopper (1.3.0+dfsg-3build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:22:36 +0100

pbcopper (1.3.0+dfsg-3) unstable; urgency=medium

  * Remove unused license paragraph
  * Increase timeout for s390 and make sure test will pass in any case

 -- Andreas Tille <tille@debian.org>  Wed, 29 Jan 2020 09:16:01 +0100

pbcopper (1.3.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Add the SIMD everywhere headers so we can build on all archs again
    Closes: #947717

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 29 Dec 2019 18:58:05 +0100

pbcopper (1.3.0+dfsg-1) unstable; urgency=medium

  * Fix watch file
  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * Remove patch git-version.patch that is missing from
    debian/patches/series.
  * Build-Depends: meson, libgtest-dev
  * Meson does not build static lib - leave this out for the moment
  * Split binary packages into dynamic lib and development package

 -- Andreas Tille <tille@debian.org>  Tue, 17 Dec 2019 11:16:46 +0100

pbcopper (0.4.1+dfsg-3) unstable; urgency=medium

  [ Afif Elghraoui ]
  * Remove myself from Uploaders

  [ Andreas Tille ]
  * Skip test relying on clock setting (Thanks for the patch to
    Santiago Vila <sanvila@debian.org>)
    Closes: #927239
  * Add myself to Uploaders
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Wed, 17 Apr 2019 08:21:34 +0200

=== debian/control ===
Source: pbcopper
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper-compat (= 12),
#               dh-exec,
               meson,
               cmake,
               pkg-config,
               libboost-dev,
               googletest,
               libgtest-dev
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/med-team/pbcopper
Vcs-Git: https://salsa.debian.org/med-team/pbcopper.git
Homepage: https://github.com/PacificBiosciences/pbcopper

Package: libpbcopper1.3.0
Architecture: any
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: data structures, algorithms, and utilities for C++ applications
 pbcopper provides general tools for C++ applications. It is developed
 for use by applications of the Pacific Biosciences SMRT Analysis
 suite.
 .
 This package contains the dynamic library

Package: libpbcopper-dev
Architecture: any
Section: libdevel
Depends: libpbcopper1.3.0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: data structures, algorithms, and utilities for C++ applications -- header files
 pbcopper provides general tools for C++ applications. It is developed
 for use by applications of the Pacific Biosciences SMRT Analysis
 suite.
 .
 This package contains the header files and static library

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

# needed to build consensuscore2
export DEB_CXXFLAGS_MAINT_APPEND=-fPIC -DSIMDE_ENABLE_OPENMP -fopenmp-simd -O3

# The package FTBFS if we don't call the build directory "build"
%:
	dh $@ --builddirectory=build

# debhelper's cmake action is to run `make test`, which won't work
override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
ifeq (,$(filter $(DEB_HOST_ARCH), s390x))
	cd build && meson test --no-rebuild --print-errorlogs
else
	# s390 tests were failing due to some timeout.  Try hard to increase timeout times.
	# The simple approach to just add --timeout=42 to the command line did not worked
	# so here the code is patched and the diff below should demonstrate that the patch happened.
	# In the end we accept even timeouted tests by adding '|| true'
	sed -i~ -e 's/--timeout=42/--timeout=100/' -e 's/EXPECT_EQ(42, timeout)/EXPECT_EQ(100, timeout)/' -e 's/"frobber.task_options.timeout": 42,/"frobber.task_options.timeout": 100,/' tests/src/cli*/test_* ; \
	diff -u tests/src/cli/test_CLI.cpp.in~ tests/src/cli/test_CLI.cpp.in ; \
	cd build && meson test --no-rebuild --print-errorlogs || true
endif
endif

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
  https://github.com/PacificBiosciences/pbcopper/releases .*/archive/v?@ANY_VERSION@@ARCHIVE_EXT@

## pbcopper 1.6.0+dfsg

=== debian/changelog ===
pbcopper (1.6.0+dfsg-4) unstable; urgency=medium

  * Add alpha to list of architectures
    Closes: #961774
  * libpbcopper1.6.0: Breaks+Replaces: libpbcopper1.3.0 (>= 1.6)
    Closes: #961759

 -- Andreas Tille <tille@debian.org>  Fri, 29 May 2020 13:14:48 +0200

pbcopper (1.6.0+dfsg-3) unstable; urgency=medium

  * ppc64el patch is not needed for libsimde-dev >= 0.0.0.git.20200526

 -- Andreas Tille <tille@debian.org>  Wed, 27 May 2020 12:38:57 +0200

pbcopper (1.6.0+dfsg-2) unstable; urgency=medium

  * Use d-shlibs to make sure SOVERSION is correct
    Closes: #959409
  * d-shlibs requires explicitly Section: libs
  * Restrict architectures to 64bit
    Closes: #960219
  * Fix simde build for ppc64el (thanks to Michael Hudson-Doyle for the patch)
    Closes: #961581

 -- Andreas Tille <tille@debian.org>  Tue, 26 May 2020 13:28:10 +0200

pbcopper (1.6.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Thu, 07 May 2020 14:29:40 +0200

pbcopper (1.4.0+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * ppc64 needs same means like s390 (which is not complete anyway)

  [ Michael R. Crusoe ]
  * Switch to libsimde-dev from our code copy
  * mark the the library and -dev as Multi-Arch: same
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Repository, Repository-Browse, Bug-Database,
    Bug-Submit.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 19 Apr 2020 17:40:27 +0200

=== debian/control ===
Source: pbcopper
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 12),
               d-shlibs,
               meson,
               cmake,
               pkg-config,
               libboost-dev,
               googletest,
               libgtest-dev,
               libsimde-dev (>= 0.0.0.git.20200526)
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/pbcopper
Vcs-Git: https://salsa.debian.org/med-team/pbcopper.git
Homepage: https://github.com/PacificBiosciences/pbcopper
Rules-Requires-Root: no

Package: libpbcopper1.6.0
Architecture: any-amd64 arm64 mips64el ppc64el s390x ia64 ppc64 riscv64 sparc64 alpha
Section: libs
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Breaks: libpbcopper1.3.0 (>= 1.6)
Replaces: libpbcopper1.3.0 (>= 1.6)
Description: data structures, algorithms, and utilities for C++ applications
 pbcopper provides general tools for C++ applications. It is developed
 for use by applications of the Pacific Biosciences SMRT Analysis
 suite.
 .
 This package contains the dynamic library

Package: libpbcopper-dev
Multi-Arch: same
Architecture: any-amd64 arm64 mips64el ppc64el s390x ia64 ppc64 riscv64 sparc64 alpha
Section: libdevel
Depends: libpbcopper1.6.0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: data structures, algorithms, and utilities for C++ applications -- header files
 pbcopper provides general tools for C++ applications. It is developed
 for use by applications of the Pacific Biosciences SMRT Analysis
 suite.
 .
 This package contains the header files and static library

## pbcopper 1.8.0+dfsg

=== meson_options.txt ===
option('build-docs', type : 'boolean', value : false, description : 'Build pbcopper docs')
option('tests',      type : 'boolean', value : true,  description : 'Enable dependencies required for testing')

=== debian/changelog ===
pbcopper (1.8.0+dfsg-2) unstable; urgency=medium

  * Source only upload.
    Closes: 964104

 -- Andreas Tille <tille@debian.org>  Fri, 13 Nov 2020 21:38:40 +0100

pbcopper (1.8.0+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version
  * debhelper-compat 13 (routine-update)

  [ Étienne Mollier ]
  * Add boost_optional.patch: fixes build issues with newer boost versions.

 -- Andreas Tille <tille@debian.org>  Thu, 12 Nov 2020 16:12:49 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                d-shlibs,
                meson,
                cmake,
@@ -11,17 +11,17 @@
                libboost-dev,
                googletest,
                libgtest-dev,
-               libsimde-dev (>= 0.0.0.git.20200526)
+               libsimde-dev
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/pbcopper
 Vcs-Git: https://salsa.debian.org/med-team/pbcopper.git
 Homepage: https://github.com/PacificBiosciences/pbcopper
 Rules-Requires-Root: no
 
-Package: libpbcopper1.6.0
+Package: libpbcopper1.8.0
 Architecture: any-amd64 arm64 mips64el ppc64el s390x ia64 ppc64 riscv64 sparc64 alpha
+Multi-Arch: same
 Section: libs
-Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Breaks: libpbcopper1.3.0 (>= 1.6)
@@ -34,10 +34,10 @@
  This package contains the dynamic library
 
 Package: libpbcopper-dev
+Architecture: any-amd64 arm64 mips64el ppc64el s390x ia64 ppc64 riscv64 sparc64 alpha
 Multi-Arch: same
-Architecture: any-amd64 arm64 mips64el ppc64el s390x ia64 ppc64 riscv64 sparc64 alpha
 Section: libdevel
-Depends: libpbcopper1.6.0 (= ${binary:Version}),
+Depends: libpbcopper1.8.0 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: data structures, algorithms, and utilities for C++ applications -- header files

## pbcopper 2.0.0+dfsg

=== debian/changelog ===
pbcopper (2.0.0+dfsg-2) unstable; urgency=medium

  * Skip some flaky tests

 -- Andreas Tille <tille@debian.org>  Thu, 24 Feb 2022 18:26:35 +0100

pbcopper (2.0.0+dfsg-1) unstable; urgency=medium

  * Mention CC0-1.0 in copyright
  * New upstream version
  * Follow upstream soname bump

 -- Andreas Tille <tille@debian.org>  Thu, 17 Feb 2022 20:06:42 +0100

pbcopper (1.9.3+dfsg-2) unstable; urgency=medium

  * Fix watch file

 -- Andreas Tille <tille@debian.org>  Thu, 02 Dec 2021 21:08:24 +0100

pbcopper (1.9.3+dfsg-1) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * Upstream now uses simde, adapt accordingly

  [ Steffen Moeller ]
  * Fix watchfile to detect new versions on github (routine-update)
  * uscan-warning: removing trailing / in d/copyright Files-Excluded

  [ Andreas Tille ]
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * bump SO version to 1.9.3

 -- Andreas Tille <tille@debian.org>  Mon, 27 Sep 2021 17:16:16 +0200

=== debian/control ===
--- 
+++ 
@@ -12,13 +12,13 @@
                googletest,
                libgtest-dev,
                libsimde-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/pbcopper
 Vcs-Git: https://salsa.debian.org/med-team/pbcopper.git
 Homepage: https://github.com/PacificBiosciences/pbcopper
 Rules-Requires-Root: no
 
-Package: libpbcopper1.8.0
+Package: libpbcopper2.0.0
 Architecture: any-amd64 arm64 mips64el ppc64el s390x ia64 ppc64 riscv64 sparc64 alpha
 Multi-Arch: same
 Section: libs
@@ -37,7 +37,7 @@
 Architecture: any-amd64 arm64 mips64el ppc64el s390x ia64 ppc64 riscv64 sparc64 alpha
 Multi-Arch: same
 Section: libdevel
-Depends: libpbcopper1.8.0 (= ${binary:Version}),
+Depends: libpbcopper2.0.0 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: data structures, algorithms, and utilities for C++ applications -- header files

=== debian/rules ===
--- 
+++ 
@@ -12,15 +12,36 @@
 # debhelper's cmake action is to run `make test`, which won't work
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-ifeq (,$(filter $(DEB_HOST_ARCH), s390x))
+ifeq (,$(filter $(DEB_HOST_ARCH), s390x ppc64))
 	cd build && meson test --no-rebuild --print-errorlogs
 else
-	# s390 tests were failing due to some timeout.  Try hard to increase timeout times.
+	# s390 and ppc64 tests were failing due to some timeout.  Try hard to increase timeout times.
 	# The simple approach to just add --timeout=42 to the command line did not worked
 	# so here the code is patched and the diff below should demonstrate that the patch happened.
 	# In the end we accept even timeouted tests by adding '|| true'
+	#
+	# Note: Seems the timeout parameter needs to be bumped even further since the
+	#       timeout issue remains and the test passes only due to '|| true'
+	#       Other architectures probably have also timing issues:
+	# riscv64: https://buildd.debian.org/status/fetch.php?pkg=pbcopper&arch=riscv64&ver=1.3.0%2Bdfsg-3&stamp=1580289921&raw=0
+	# ../tests/src/utility/test_Stopwatch.cpp:17: Failure
+	# Expected equality of these values:
+	#  3
+	#  elapsed
+	#    Which is: 4
+	# [  FAILED  ] Utility_Stopwatch.determines_elapsed_time_in_milliseconds (5 ms)
 	sed -i~ -e 's/--timeout=42/--timeout=100/' -e 's/EXPECT_EQ(42, timeout)/EXPECT_EQ(100, timeout)/' -e 's/"frobber.task_options.timeout": 42,/"frobber.task_options.timeout": 100,/' tests/src/cli*/test_* ; \
 	diff -u tests/src/cli/test_CLI.cpp.in~ tests/src/cli/test_CLI.cpp.in ; \
 	cd build && meson test --no-rebuild --print-errorlogs || true
 endif
 endif
+
+override_dh_install:
+	dh_install
+	d-shlibmove --commit \
+		    --multiarch \
+		    --devunversioned \
+		    --exclude-la \
+		    --movedev debian/tmp/usr/include usr \
+		    --movedev "debian/tmp/usr/lib/*/pkgconfig/*.pc" usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig \
+		    debian/tmp/usr/lib/*/*.so

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
  https://github.com/PacificBiosciences/pbcopper/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## pbcopper 2.2.0+dfsg

=== debian/changelog ===
pbcopper (2.2.0+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

  [ Michael R. Crusoe ]
  * d/patches/gcc-13: fix build failures (Closes: #1041127)
  * d/control: use newer boost version for c++20 compat
  * d/patches: mark Debian specific patches as not needing forwarding.
  * d/control: rename library package to match soversion (2.2.0

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 09 Aug 2023 15:48:38 +0200

=== debian/control ===
--- 
+++ 
@@ -8,24 +8,22 @@
                meson,
                cmake,
                pkg-config,
-               libboost-dev,
+               libboost1.81-dev,
                googletest,
                libgtest-dev,
                libsimde-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/pbcopper
 Vcs-Git: https://salsa.debian.org/med-team/pbcopper.git
 Homepage: https://github.com/PacificBiosciences/pbcopper
 Rules-Requires-Root: no
 
-Package: libpbcopper2.0.0
+Package: libpbcopper2.2.0
 Architecture: any-amd64 arm64 mips64el ppc64el s390x ia64 ppc64 riscv64 sparc64 alpha
 Multi-Arch: same
 Section: libs
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Breaks: libpbcopper1.3.0 (>= 1.6)
-Replaces: libpbcopper1.3.0 (>= 1.6)
 Description: data structures, algorithms, and utilities for C++ applications
  pbcopper provides general tools for C++ applications. It is developed
  for use by applications of the Pacific Biosciences SMRT Analysis
@@ -37,7 +35,7 @@
 Architecture: any-amd64 arm64 mips64el ppc64el s390x ia64 ppc64 riscv64 sparc64 alpha
 Multi-Arch: same
 Section: libdevel
-Depends: libpbcopper2.0.0 (= ${binary:Version}),
+Depends: libpbcopper2.2.0 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: data structures, algorithms, and utilities for C++ applications -- header files

## pbcopper 2.3.0%2Bdfsg

=== debian/changelog ===
pbcopper (2.3.0+dfsg-4) unstable; urgency=medium

  * Team upload.
  * d/control: build depends on libboost-iostreams-dev. (Closes: #1117413)

 -- Étienne Mollier <emollier@debian.org>  Sun, 05 Oct 2025 23:30:23 +0200

pbcopper (2.3.0+dfsg-3) unstable; urgency=medium

  * Team upload.

  [ Michael R. Crusoe ]
  * d/control: simplify architecture specifications by using provisions
    from the architecture-properties package.
  * d/salsi-ci.yml: skip i386 build, add link to salsa-ci docs.

  [ Étienne Mollier ]
  * gcc-15: new patch: fix build failure with gcc-15. (Closes: #1097555)
  * d/control: build depends on pkgconf.
  * d/patches/*: normalize Last-Update timestamp.
  * d/watch: upgrade to version 5 watch file.
  * d/control: remove redundant Rules-Requires-Root: no.
  * d/control: declare compliance to standards version 4.7.2.

 -- Étienne Mollier <emollier@debian.org>  Thu, 25 Sep 2025 21:14:18 +0200

pbcopper (2.3.0+dfsg-2) unstable; urgency=medium

  * Build-Depends: s/libboost1.81-dev/libboost-dev/
    Closes: #1060791

 -- Andreas Tille <tille@debian.org>  Thu, 25 Jan 2024 20:05:13 +0100

pbcopper (2.3.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Bump SOVERSION since upstream bumps it with every new version
  * d/watch: Fix download name
  * Add build support for loong64
    Closes: #1057626
  * Update d/copyright

 -- Andreas Tille <tille@debian.org>  Thu, 07 Dec 2023 14:49:43 +0100

## pbcopper 2.3.0+dfsg

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                meson,
                cmake,
                pkg-config,
-               libboost1.81-dev,
+               libboost-dev,
                googletest,
                libgtest-dev,
                libsimde-dev
@@ -18,8 +18,8 @@
 Homepage: https://github.com/PacificBiosciences/pbcopper
 Rules-Requires-Root: no
 
-Package: libpbcopper2.2.0
-Architecture: any-amd64 arm64 mips64el ppc64el s390x ia64 ppc64 riscv64 sparc64 alpha
+Package: libpbcopper2.3.0
+Architecture: any-amd64 arm64 loong64 mips64el ppc64el s390x ia64 ppc64 riscv64 sparc64 alpha
 Multi-Arch: same
 Section: libs
 Depends: ${misc:Depends},
@@ -32,10 +32,10 @@
  This package contains the dynamic library
 
 Package: libpbcopper-dev
-Architecture: any-amd64 arm64 mips64el ppc64el s390x ia64 ppc64 riscv64 sparc64 alpha
+Architecture: any-amd64 arm64 loong64 mips64el ppc64el s390x ia64 ppc64 riscv64 sparc64 alpha
 Multi-Arch: same
 Section: libdevel
-Depends: libpbcopper2.2.0 (= ${binary:Version}),
+Depends: libpbcopper2.3.0 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: data structures, algorithms, and utilities for C++ applications -- header files

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #export DH_VERBOSE = 1
 
 # needed to build consensuscore2
-export DEB_CXXFLAGS_MAINT_APPEND=-fPIC -DSIMDE_ENABLE_OPENMP -fopenmp-simd -O3
+export DEB_CXXFLAGS_MAINT_APPEND=-fPIC -DSIMDE_ENABLE_OPENMP -fopenmp-simd -O3 -std=c++20
 
 # The package FTBFS if we don't call the build directory "build"
 %:

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/PacificBiosciences/pbcopper/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
